### Hierarchy

- IBehaviour
  - AutocompleteBehaviour

## Index

### Constructors

- constructor

### Properties

- autocompleteDropdown
- bindings
- channelId
- index
- maxNumberOfResults
- subscription
- target

### Methods

- add
- bind
- clear
- init
- isValueValid
- onKeydown
- unbind

## Constructors

### constructor

- new AutocompleteBehaviour(config: AutocompleteConfig, textbox?: HTMLTextAreaElement): AutocompleteBehaviour

- Overrides IBehaviour.constructor

  - Defined in lib/behaviour/AutocompleteBehaviour.ts:32

  #### Parameters

  - ##### config: AutocompleteConfig

  - ##### Default value textbox: HTMLTextAreaElement = Defaults.textbox()

  #### Returns AutocompleteBehaviour

## Properties

### Private autocompleteDropdown

autocompleteDropdown: AutocompleteDropdown

- Defined in lib/behaviour/AutocompleteBehaviour.ts:31

### Protected bindings

bindings: BehaviorBinding[]

Inherited from IBehaviour.bindings

- Defined in lib/api/IBehaviour.ts:11

### channelId

channelId: string | null = null

Inherited from IBehaviour.channelId

- Defined in lib/api/IBehaviour.ts:12

### Private index

index: IIndex

- Defined in lib/behaviour/AutocompleteBehaviour.ts:30

### Private maxNumberOfResults

maxNumberOfResults: number

- Defined in lib/behaviour/AutocompleteBehaviour.ts:32

### Protected subscription

subscription: Subscription | null

Inherited from IBehaviour.subscription

- Defined in lib/api/IBehaviour.ts:10

### Protected target

target: HTMLElement

Inherited from IBehaviour.target

- Defined in lib/api/IBehaviour.ts:9

## Methods

### add

- add(element: string): void

- - Defined in lib/behaviour/AutocompleteBehaviour.ts:46

  #### Parameters

  - ##### element: string

  #### Returns void

### bind

- bind(gateway: Subscription): void

- Overrides IBehaviour.bind

  - Defined in lib/behaviour/AutocompleteBehaviour.ts:54

  #### Parameters

  - ##### gateway: Subscription

  #### Returns void

### clear

- clear(): void

- - Defined in lib/behaviour/AutocompleteBehaviour.ts:50

  #### Returns void

### init

- init(channelId: string): void

- Inherited from IBehaviour.init

  - Defined in lib/api/IBehaviour.ts:20

  #### Parameters

  - ##### channelId: string

  #### Returns void

### isValueValid

- isValueValid(value: string): null | false | true | ""

- Inherited from IBehaviour.isValueValid

  - Defined in lib/api/IBehaviour.ts:38

  #### Parameters

  - ##### value: string

  #### Returns null | false | true | ""

### Private onKeydown

- onKeydown(textbox: HTMLTextAreaElement): void

- - Defined in lib/behaviour/AutocompleteBehaviour.ts:64

  #### Parameters

  - ##### textbox: HTMLTextAreaElement

  #### Returns void

### unbind

- unbind(): void

- Overrides IBehaviour.unbind

  - Defined in lib/behaviour/AutocompleteBehaviour.ts:59

  #### Returns void

Generated using TypeDoc